---
title: "Update a class by id"
slug: "update-a-class-by-id"
updated: 2024-10-25T18:04:27Z
published: 2026-02-10T22:32:35Z
canonical: "docs.skillable.com/update-a-class-by-id"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.skillable.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a class by id

Get/UpdateClass/{id}

Allows you to update a class.

SecurityAPI Key: api_keyHeader parameter nameapi_key

Path parametersidinteger (int32) Required

The ID of the class to retrieve.

Example202783

Query parametersCourseIdinteger (int32) Required

The internal Id of the course the class is based on

Example1234
Namestring

The name of the class

ExampleSample class name
Descriptionstring

A short description of the class

ExampleSample description of class
HtmlDescriptionstring | null

A description of the class in HTML

ConfirmationStatusIdinteger (int32) 

The confirmation status of the class. If blank it will default to 0. Available statuses and their values are as follows:

- Scheduled = 0
- Guaranteed To Run = 1
- Cancelled = 2
- Rescheduled = 3
- Tentative = 4
- Requested = 5
- Denied = 6
- Completed = 7

Example1
OrganizationIdinteger (int32) 

The internal Id of the Organization that is running the class. If blank it will default to the API Consumer.

Example3232
CompanyIdinteger (int32)  | null

The internal company Id if this class is to be dedicated to a specific company

DeliveryTypeIdinteger (int32) 

The delivery type of the class. If blank, it will default to Physical unless other values are set to conflict with that setting. If set to Physical any virtual meeting host settings will be lost. Available delivery types are as follows:

- Physical = 1
- Virtual = 2
- Mixed = 3

Example5454
VirtualMeetingHostIdinteger (int32)  | null

The internal Id of the virtual meeting host to use if a class is to be run virtually

CustomVirtualClassroomUrlstring | null

The url of the custom virtual classroom used for the class

PrimaryInstructorIdinteger (int32)  | null

The internal user id of the instructor for the class

InstructorIdsarray of integer (int32)  | null

The internal user ids of all of the instructors for the class. If a PrimaryInstructorId is not provided, the first instructor in this collection will be set as primary.

Example[
  12345,
  98765
]
PrimaryClassroomIdinteger (int32)  | null

The internal id of the classroom that this class will take place in

TimeZoneIdstring

The .NET system timezone id that the class will be delivered in. If blank it will default to the organizations timezone setting. To get a complete list of supported timezones please use tzutil as timezones are constantly changing.

MinStudentsinteger (int32) 

The minimum student enrollments for the class to be run. If blank this value will default to the setting at the API Consumer.

Example1
MaxStudentsinteger (int32) 

The maximum student enrollments allowed for the class. If blank this value will default to either the course or API Consumer settings.

Example6
AllowSelfEnrollmentboolean

Sets this class to allow students to self-enroll

Examplefalse
IsPublicboolean

This sets if this class will be displayed on the Public Schedule

Exampletrue
DisableLabsboolean

This sets if you would like to disable lab access for this class

Examplefalse
SurveyIdinteger (int32)  | null

The internal id of the student survey to associate with this class. If blank this value will default to the settings at the course or API Consumer.

StudentSurveyAvailabilityStartTypeIdinteger (int32)  | null

The setting for when the students should begin to see that the survey is available to them. The following options are available:

- Hours Before Event Ends = 0
- Hours After Event Begins = 1

SurveyAvailabilityStartHoursinteger (int32)  | null

The number of hours (either before the event ends, or after the event begins, depending on the setting of StudentSurveyAvailabilityStartTypeId) for when the student survey will become available. If blank it will default to the default settings of the API Consumer.

SurveyAvailabilityEndDaysinteger (int32)  | null

The number of days that the student survey will be available to students after the event ends. If blank it will default to the default settings of the API Consumer.

InstructorSurveyIdinteger (int32)  | null

The internal id of the survey to present to instructors of the class. If blank it will default to the default settings of the course or API Consumer.

OrganizationSurveyIdinteger (int32)  | null

The internal id of the organization survey for the class. If blank it will default to the default settings of the course or API Consumer.

ExternalIdstring | null

The class's external ID, usually a unique identifier from the calling system.

ClassMeetingsArray of objectRequired

A collection of ClassMeetings in JSON format.

  object  Startinteger  (int64)    

When the class meeting starts UTC (in Unix epoch time).

Example1320876000
Endinteger  (int64)    

When the class meeting ends UTC (in Unix epoch time).

Example1320876000

AvailableToOrganizationIdsstring

A comma separated list of int organization Ids that this class should be available to.

Example123,4556,221

Responses200

OK Response

<select class='api-response-data' aria-label='Media type'><option value='49d1032f-2b32-4664-8ed1-1d4baae93bae'>application/json</option>
</select>object  statusinteger  (int32)    

Indicates the status of the API request.

- 0 = Success
- 10 = Error
- 20 = Not found
- 30 = Invalid integration key

Example10
errorstring   | null  

Error details. This will only have a value if an error was encountered. The status property will also be set to Error (10).
